-- Example project for "XM2F3-200-1 62.5M" FPGA module
-- www.PLDkit.com
-- firmware version: 1.0
-- 30.05.2017

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;
use IEEE.numeric_std.all;

entity top_level is

Port (led					: out std_logic_vector(1 downto 0);
		j1,j2					: in std_logic_vector(17 downto 0);
		j5						: in std_logic_vector(7 downto 0);
		clk					: in std_logic);
end top_level;

architecture Behavioral of top_level is

signal count: 			std_logic_vector(26 downto 0);
signal i_o:				std_logic_vector(43 downto 0);
signal io_sum: 		std_logic_vector(5 downto 0);
signal ok:				std_logic;

begin
	
	process(clk)
	begin
		if clk'event and clk = '1' then
		count <= count + '1';
		end if;
	end process;

i_o <= j1&j2&j5;

io_sum <= 
 ("00000"&i_o(	0	))
+("00000"&i_o(	1	))
+("00000"&i_o(	2	))
+("00000"&i_o(	3	))
+("00000"&i_o(	4	))
+("00000"&i_o(	5	))
+("00000"&i_o(	6	))
+("00000"&i_o(	7	))
+("00000"&i_o(	8	))
+("00000"&i_o(	9	))
+("00000"&i_o(	10	))
+("00000"&i_o(	11	))
+("00000"&i_o(	12	))
+("00000"&i_o(	13	))
+("00000"&i_o(	14	))
+("00000"&i_o(	15	))
+("00000"&i_o(	16	))
+("00000"&i_o(	17	))
+("00000"&i_o(	18	))
+("00000"&i_o(	19	))
+("00000"&i_o(	20	))
+("00000"&i_o(	21	))
+("00000"&i_o(	22	))
+("00000"&i_o(	23	))
+("00000"&i_o(	24	))
+("00000"&i_o(	25	))
+("00000"&i_o(	26	))
+("00000"&i_o(	27	))
+("00000"&i_o(	28	))
+("00000"&i_o(	29	))
+("00000"&i_o(	30	))
+("00000"&i_o(	31	))
+("00000"&i_o(	32	))
+("00000"&i_o(	33	))
+("00000"&i_o(	34	))
+("00000"&i_o(	35	))
+("00000"&i_o(	36	))
+("00000"&i_o(	37	))
+("00000"&i_o(	38	))
+("00000"&i_o(	39	))
+("00000"&i_o(	40	))
+("00000"&i_o(	41	))
+("00000"&i_o(	42	))
+("00000"&i_o(	43	));

ok <= '1' WHEN io_sum = "000001" ELSE '0';

process(count,ok)
begin
	if (ok='1') then led <= count(21)&count(21);
else
   led <= count(26)& not count(26);
	end if;
end process;

end Behavioral;